vincity taymodaimo

David Zuchowski
I know Cymatic recommends 10.8, but I was wondering if anyone has had any success with older Mac OS, 10.5.7 to be specific. Thanks.